[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]



It does not seem possible to build this source package using pbuilder.

The problem is that it build-depends on kernel-image-2.4.19-386, but
this package cannot be installed non-interactively.

Should I:

1. File a bug report againt kernel-image-2.4.19-386 saying it needs to
   be installed non-interactively.

2. File a bug report agains kernel-image-2.4.19-i386-udeb-2.4.19 source
   saying it cannot be built.

3. File a bug report against pbuilder with a suggestion to have
   a /etc/kernel-img.conf file, maybe with "do_bootloader = no" and/or
   "do_initrd = yes", so it is possible to install a kernel without
   this problem occuring?

My preferred option is 3. However, by itself it is still not sufficient
as it kernel-image-2.4.19-386 fails to install when making the initrd
image (which ironically isn't even required). I ended up hacking
a simple /etc/fstab file to work around this.

Comments anyone?
Brian May <bam@debian.org>

Reply to: